
{ pkgs ? import <nixpkgs> {}, pypkgs }:
let
pypkgs = pkgs.python310Packages;
in
rec {
mizani = pypkgs.buildPythonPackage rec {
  pname = "mizani";
  version = "0.8.1";
  format = "wheel";
  src = pkgs.fetchurl{
    url = "https://files.pythonhosted.org/packages/a5/6a/738cec3b98020b9cf27bdbfe7c1f385a102300a3d06b2a8ad95f31923dfe/mizani-0.8.1-py3-none-any.whl";
    sha256 = "a45f16d1bb420bd92361284252fd29c5e52a20662ad96dfe7a15141a4ca4c287";
  };
  propagatedBuildInputs = with pypkgs; [
    numpy
    scipy
    pandas
    matplotlib
    palettable
  ];
};
plotnine = pypkgs.buildPythonPackage rec {
  pname = "plotnine";
  version = "0.10.1";
  src = pypkgs.fetchPypi{
    inherit version pname;
    sha256 = "d912a04b638dcf822c51a6788b85664232348d515f151db3a64c0001966f6841";
  };
  propagatedBuildInputs = with pypkgs; [
    matplotlib
    mizani
    numpy
    pandas
    patsy
    scipy
    statsmodels
  ];
  doCheck = false;
};

azure-ai-ml = pypkgs.buildPythonPackage rec {
  pname = "azure-ai-ml";
  version = "1.4.0";
  src = pypkgs.fetchPypi {
    inherit version pname;
    sha256 = "153713d0987a46676fdb84f917aa246c52022a87b8040403f67809eb8fb8c05e";
  };
  pythonNamespaces = [ "azure" ];
  # requires an active Azure Cosmos service
  doCheck = false;
};


}
